<style>
	.contanctDetail{
		background-color: #fff;
	}
	.contactTop{
		width:100%;
		height:200px;
	}
	.contanctInfo{
		font-size:15px;
		margin:20px 0 10px 0
	}
	.contanctJob{
		font-size:13px;
		color:#B9B9B9;
	}
	.contanctTop{
		background-color: #fff;
		margin-bottom:10px;
		padding:15px;
	}
	.contactBottom{
		width:100%;
		min-height:283px;
		padding:15px;
		background-color: #fff;
	}
	.contactName{
		color:#0B0B0B;
		font-size:16px;
		font-weight: bold;
	}
	.contactLine{
		width:100%;
		height:10px;
		background-color: #F3F5F7;
	}
	.contact_Intro{
		margin-top:20px;
		font-size:14px;
		color:#404040;
		line-height: 25px;
	}
</style>
<template>
	<view class="contanctDetail" style="height:100vh;">
		<view class="contanctTop">
			<view class="contactTop">
				<img :src="dataList.BgImg" style="width:100%;height:100%;" alt=""/>
			</view>
			<view class="contanctInfo">
				<view class="contactName">姓名：{{dataList.Name}}</view>
				<view class="contactName" style="margin:9px 0 15px 0;">电话：{{dataList.Tel}}</view>
				<view class="contanctJob">职位：{{dataList.Position}}</view>
			</view>
		</view>
		<view class="contactLine"></view>
		<view class="contactBottom">
			<u-divider color="#0B0B0B;" half-width="50" border-color="#404040" fontSize="35">简单介绍</u-divider>
			<view class="contact_Intro" v-html="dataList.Intro"></view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				pageTitle: "联系人详情",
				msg:{
					Id:0
				},
				dataList:{}
			};
		},
		mounted() {
			uni.setNavigationBarTitle({
				title: this.pageTitle,
			});
		},
		onLoad(options) {
			this.msg.Id = options.Id;
			this.getList();
		},
		created() {},
		onShow() {
			this.mainColor = this.$uiConfig.mainColor;
		},
		methods: {
			//获取数据
			getList() {
				this.request2({
						url: "/api/Trade/GetContract",
						data: this.msg,
					},
					(res) => {
						uni.hideLoading();
						if (res.resultCode == 1) {
							console.log(res,'数据来也');
							this.dataList = res.data;
						}
					}
				);
			},
		},
	}
</script>